
syms p 
lambda = .405
ne = sqrt(2.3753 + 0.01224/(lambda^2-0.01667) - 0.01516*lambda^2)

lambda2 = .810;
no = sqrt(2.7359 + 0.01878/(lambda2^2-0.01822) - 0.01354*lambda2^2)

theta_l = 3*3.14159/180

theta_c = asin(sin(theta_l)/no)

n_eff = no * cos(theta_c);

%%calculating phase matching angle
lambda2 = .405;
no = sqrt(2.7359 + 0.01878/(lambda2^2-0.01822) - 0.01354*lambda2^2);
phi = vpa(solve(1/n_eff^2 == (sin(p))^2/ne^2 + (cos(p))^2/no^2),3); 

phi = phi*180/3.14159


%%
%plots

lambda = .300:.0001:.900;
ne = sqrt(2.3753 + 0.01224./(lambda.^2-0.01667) - 0.01516.*lambda.^2);
no = sqrt(2.7359 + 0.01878./(lambda.^2-0.01822) - 0.01354.*lambda.^2);

figure
hold on
box on
xlim([300 900]);
ylim([1.52 1.80]);
xlabel('Wavelength (nm)')
ylabel('Refractive index')

lambda = 1000*lambda;
plot(lambda,no, 'r')
plot(lambda,ne, 'b')

ne_eff = (cos(0.51)^2./no.^2 + sin(0.51)^2./ne.^2).^(-1/2);
plot(lambda,ne_eff, 'k')

legend('n_o', 'n_e', 'n_{eff}')




